summaryrefslogtreecommitdiff
path: root/maintenance/dev/includes/require-php.sh
diff options
context:
space:
mode:
Diffstat (limited to 'maintenance/dev/includes/require-php.sh')
-rw-r--r--maintenance/dev/includes/require-php.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/maintenance/dev/includes/require-php.sh b/maintenance/dev/includes/require-php.sh
new file mode 100644
index 00000000..470e6eb8
--- /dev/null
+++ b/maintenance/dev/includes/require-php.sh
@@ -0,0 +1,8 @@
+# Include-able script to require that we have a known php binary we can execute
+
+. "$DEV/includes/php.sh"
+
+if [ "x$PHP" == "x" -o ! -x "$PHP" ]; then
+ echo "Local copy of PHP is not installed"
+ exit 1
+fi